### Virtual Method

# Clapper Feature queue_item_added

#### Declaration [src]

    void
    queue_item_added (
      ClapperFeature* feature,
      ClapperMediaItem* item,
      guint index
    )

#### Description [src]

An item was added to the queue.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem` that was added.

  The data is owned by the caller of the method.

`index`

  Type: `guint`

  Position at which `item` was placed in queue.